Bug 1288885 - [abrt] xfce4-settings: xfce_randr_preferred_mode(): xfce4-display-settings killed by SIGFPE
[abrt] xfce4-settings: xfce_randr_preferred_mode(): xfce4-display-settings ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-settings (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5cd226f3ccb7e816918c7ab053a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 16:54 EST by Dan Bemowski
Modified: 2016-12-20 11:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:42:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.41 KB, text/plain)
2015-12-06 16:54 EST, Dan Bemowski
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-06 16:54 EST, Dan Bemowski
no flags Details
File: core_backtrace (24.86 KB, text/plain)
2015-12-06 16:54 EST, Dan Bemowski
no flags Details
File: dso_list (8.46 KB, text/plain)
2015-12-06 16:54 EST, Dan Bemowski
no flags Details
File: environ (1.64 KB, text/plain)
2015-12-06 16:54 EST, Dan Bemowski
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-06 16:54 EST, Dan Bemowski
no flags Details
File: maps (43.89 KB, text/plain)
2015-12-06 16:54 EST, Dan Bemowski
no flags Details
File: mountinfo (3.41 KB, text/plain)
2015-12-06 16:54 EST, Dan Bemowski
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-06 16:54 EST, Dan Bemowski
no flags Details
File: open_fds (589 bytes, text/plain)
2015-12-06 16:54 EST, Dan Bemowski
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-12-06 16:54 EST, Dan Bemowski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 12350 None None None Never

  None (edit)
Description Dan Bemowski 2015-12-06 16:54:16 EST
Description of problem:
I installed an ATI Radeon 5000 series dual video card to run my 3rd monitor.  I am using this in conjuction with my onboard Intel i915 based dual output chipset.  When I first set this up I was able to access the Display settings.  I initially had video on the ATI connected monitor, but nothing on the 2 Intel connected monitors.  When I went to the Display settings and enabled the 2 intel connected monitors, they turned on and seemed to work fine.  I noticed I had an issue which looked to be an issue with screen refresh on the 2 intel connected monitors, I wanted to check the refresh rate, but when I tried to open Display settings, it crashed immediately.  

I still have the screen refresh issue.  I can be working in Terminal and as I type, after the first few characters on a line it seems to be that I don't get a screen refresh until I hit another key or move the mouse.

As a side note because I don't know if it is somehow related, I do not have any icons on my Applications drop down menu.  I have checked to see if it was a theme issue, but switching themes did nothing.

I am running an HP Envy system with an I5 processor and 8GB ram.  I am on Fedora 23 running XFCE window manager

Version-Release number of selected component:
xfce4-settings-4.12.0-6.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xfce4-display-settings
crash_function: xfce_randr_preferred_mode
executable:     /usr/bin/xfce4-display-settings
global_pid:     3576
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xfce_randr_preferred_mode at xfce-randr.c:632
 #1 convert_xfce_output_info at main.c:1601
 #2 list_connected_outputs at main.c:1786
 #3 on_area_paint at main.c:2589
 #8 foo_scroll_area_expose at scrollarea.c:522
 #9 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #14 gtk_widget_event_internal at gtkwidget.c:5017
 #15 gtk_widget_send_expose at gtkwidget.c:4846
 #16 gtk_container_propagate_expose at gtkcontainer.c:2757
 #17 gtk_container_expose at gtkcontainer.c:2661
Comment 1 Dan Bemowski 2015-12-06 16:54:20 EST
Created attachment 1102923 [details]
File: backtrace
Comment 2 Dan Bemowski 2015-12-06 16:54:21 EST
Created attachment 1102924 [details]
File: cgroup
Comment 3 Dan Bemowski 2015-12-06 16:54:22 EST
Created attachment 1102925 [details]
File: core_backtrace
Comment 4 Dan Bemowski 2015-12-06 16:54:23 EST
Created attachment 1102926 [details]
File: dso_list
Comment 5 Dan Bemowski 2015-12-06 16:54:24 EST
Created attachment 1102927 [details]
File: environ
Comment 6 Dan Bemowski 2015-12-06 16:54:25 EST
Created attachment 1102928 [details]
File: limits
Comment 7 Dan Bemowski 2015-12-06 16:54:26 EST
Created attachment 1102929 [details]
File: maps
Comment 8 Dan Bemowski 2015-12-06 16:54:27 EST
Created attachment 1102930 [details]
File: mountinfo
Comment 9 Dan Bemowski 2015-12-06 16:54:28 EST
Created attachment 1102931 [details]
File: namespaces
Comment 10 Dan Bemowski 2015-12-06 16:54:29 EST
Created attachment 1102932 [details]
File: open_fds
Comment 11 Dan Bemowski 2015-12-06 16:54:30 EST
Created attachment 1102933 [details]
File: proc_pid_status
Comment 12 Kevin Fenzi 2015-12-06 17:19:26 EST
What does 'xrandr -q' output?
Comment 13 Dan Bemowski 2015-12-06 17:37:15 EST
Screen 0: minimum 320 x 200, current 4320 x 900, maximum 8192 x 8192
DVI-0 disconnected (normal left inverted right x axis y axis)
DVI-1 connected 1440x900+0+0 (normal left inverted right x axis y axis) 408mm x 255mm
   1440x900      59.89 +  74.98* 
   1280x1024     75.02    60.02  
   1280x960      60.00  
   1152x864      75.00  
   1024x768      75.08    70.07    66.01    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   640x480       75.00    72.81    66.67    66.03    60.00  
   720x400       70.08  
DP1 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
HDMI1 connected primary 1440x900+1440+0 (normal left inverted right x axis y axis) 408mm x 255mm
   1440x900      59.89 +  74.98* 
   1280x1024     75.02    60.02  
   1280x960      60.00  
   1152x864      75.00  
   1024x768      75.08    70.07    66.01    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   640x480       75.00    72.81    66.67    66.03    60.00  
   720x400       70.08  
HDMI2 connected 1440x900+2880+0 (normal left inverted right x axis y axis) 408mm x 255mm
   1440x900      59.89 +  74.98* 
   1280x1024     75.02    60.02  
   1280x960      60.00  
   1152x864      75.00  
   1024x768      75.08    70.07    66.01    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   640x480       75.00    72.81    66.67    66.03    60.00  
   720x400       70.08  
VGA1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
  1440x900 (0x4a) 106.500MHz
        h: width  1440 start 1520 end 1672 total 1904 skew    0 clock  55.93KHz
        v: height  900 start  903 end  909 total  934           clock  59.89Hz
  1280x1024 (0x4b) 135.000MHz
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock  79.98KHz
        v: height 1024 start 1025 end 1028 total 1066           clock  75.02Hz
  1280x1024 (0x4c) 108.000MHz
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock  63.98KHz
        v: height 1024 start 1025 end 1028 total 1066           clock  60.02Hz
  1440x900 (0x4d) 136.750MHz
        h: width  1440 start 1536 end 1688 total 1936 skew    0 clock  70.64KHz
        v: height  900 start  903 end  909 total  942           clock  74.98Hz
  1280x960 (0x4e) 108.000MHz
        h: width  1280 start 1376 end 1488 total 1800 skew    0 clock  60.00KHz
        v: height  960 start  961 end  964 total 1000           clock  60.00Hz
  1152x864 (0x4f) 108.000MHz
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock  67.50KHz
        v: height  864 start  865 end  868 total  900           clock  75.00Hz
  1024x768 (0x50) 78.800MHz
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock  60.06KHz
        v: height  768 start  769 end  772 total  800           clock  75.08Hz
  1024x768 (0x51) 75.000MHz
        h: width  1024 start 1048 end 1184 total 1328 skew    0 clock  56.48KHz
        v: height  768 start  771 end  777 total  806           clock  70.07Hz
  1024x768 (0x52) 71.639MHz
        h: width  1024 start 1080 end 1192 total 1360 skew    0 clock  52.68KHz
        v: height  768 start  769 end  772 total  798           clock  66.01Hz
  1024x768 (0x53) 65.000MHz
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock  48.36KHz
        v: height  768 start  771 end  777 total  806           clock  60.00Hz
  832x624 (0x54) 57.284MHz
        h: width   832 start  864 end  928 total 1152 skew    0 clock  49.73KHz
        v: height  624 start  625 end  628 total  667           clock  74.55Hz
  800x600 (0x55) 50.000MHz
        h: width   800 start  856 end  976 total 1040 skew    0 clock  48.08KHz
        v: height  600 start  637 end  643 total  666           clock  72.19Hz
  800x600 (0x56) 49.500MHz
        h: width   800 start  816 end  896 total 1056 skew    0 clock  46.88KHz
        v: height  600 start  601 end  604 total  625           clock  75.00Hz
  800x600 (0x57) 40.000MHz
        h: width   800 start  840 end  968 total 1056 skew    0 clock  37.88KHz
        v: height  600 start  601 end  605 total  628           clock  60.32Hz
  800x600 (0x58) 36.000MHz
        h: width   800 start  824 end  896 total 1024 skew    0 clock  35.16KHz
        v: height  600 start  601 end  603 total  625           clock  56.25Hz
  640x480 (0x59) 31.500MHz
        h: width   640 start  656 end  720 total  840 skew    0 clock  37.50KHz
        v: height  480 start  481 end  484 total  500           clock  75.00Hz
  640x480 (0x5a) 31.500MHz
        h: width   640 start  664 end  704 total  832 skew    0 clock  37.86KHz
        v: height  480 start  489 end  491 total  520           clock  72.81Hz
  640x480 (0x5b) 30.240MHz
        h: width   640 start  704 end  768 total  864 skew    0 clock  35.00KHz
        v: height  480 start  483 end  486 total  525           clock  66.67Hz
  640x480 (0x5c) 26.885MHz
        h: width   640 start  664 end  728 total  816 skew    0 clock  32.95KHz
        v: height  480 start  481 end  484 total  499           clock  66.03Hz
  640x480 (0x5d) 25.200MHz
        h: width   640 start  656 end  752 total  800 skew    0 clock  31.50KHz
        v: height  480 start  490 end  492 total  525           clock  60.00Hz
  720x400 (0x5e) 28.320MHz
        h: width   720 start  738 end  846 total  900 skew    0 clock  31.47KHz
        v: height  400 start  412 end  414 total  449           clock  70.08Hz
Comment 14 Kevin Fenzi 2015-12-06 17:40:32 EST
ok. Would you be willing to file this upstream at bugzilla.xfce.org ? Or would you like me to do so?
Comment 15 Dan Bemowski 2015-12-06 17:44:44 EST
Could you.  I am new to this and am not sure how.  Thanks.
Comment 16 Kevin Fenzi 2015-12-06 17:47:50 EST
https://bugzilla.xfce.org/show_bug.cgi?id=12350
Comment 17 Dan Bemowski 2015-12-06 17:48:44 EST
Thanks for the help
Comment 18 Fedora End Of Life 2016-11-24 09:01:33 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 11:42:12 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.